Name:           apropos2
Version:        1.0.1
Release:        4
Summary:        Apropos (man) replacement that only prints entries containing all search words

Group:          System Environment/Base
License:        GPL
URL:            http://georgeanelson.com/apropos2.htm
Source0:        http://georgeanelson.com/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       man

%description
Replacement for apropos (man package) that prints only entries containing all
the words being searched for.  The original apropos prints all lines that
match the first word, then all lines that match the second word, and so on. 
Apropos2 is equivalent to "apropos word1 | grep -i word2 | ... | grep -i wordn"


%prep
%setup -q

cat >apropos2.sh <<EOF
# Use apropos2 in preference to apropos
alias apropos=%{_bindir}/apropos2
EOF

cat >apropos2.csh <<EOF
# Use apropos2 in preference to apropos
alias apropos %{_bindir}/apropos2
EOF


%build
#nothing -- no make


%install
rm -rf %{buildroot}

install -pm 755 -d       %{buildroot}%{_bindir}/
install -pm 755 apropos2 %{buildroot}%{_bindir}/
install -pm 755 -d         %{buildroot}%{_mandir}/man1/
install -pm 644 apropos2.1 %{buildroot}%{_mandir}/man1/
install -pm 755 -d           %{buildroot}%{_sysconfdir}/profile.d/
install -pm 755 apropos2.sh  %{buildroot}%{_sysconfdir}/profile.d/
install -pm 755 apropos2.csh %{buildroot}%{_sysconfdir}/profile.d/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/apropos2
%{_mandir}/man1/apropos2.1*
%{_sysconfdir}/profile.d/apropos2.sh
%{_sysconfdir}/profile.d/apropos2.csh



%changelog
* Mon Sep 26 2005 George A. Nelson <tonynelson@georgeanelson.com> - 1.0.1-4
- pkg renamed back to "apropos2"; removed Provides and Obsoletes.

* Tue Sep 20 2005 George A. Nelson <tonynelson@georgeanelson.com> - 1.0.1-3
- removed --preserve-root from "rm -rf" per Fedora Extras guidelines.

* Thu Sep 15 2005 George A. Nelson <tonynelson@georgeanelson.com> - 1.0.1-2
- pkg renamed from "apropos2" to "man-apropos2" and spec'ed per Fedora Extras

* Thu Sep 08 2005 George A. Nelson <tonynelson@georgeanelson.com> - 1.0.1-1_GAN
- add doc COPYING for license, mentioned it in apropos2
- detabbed files

* Tue Sep 06 2005 George A. Nelson <tonynelson@georgeanelson.com> - 1.0.0-2_GAN
- SPEC file improvements per Paul Howarth

* Mon Sep 05 2005 George A. Nelson <tonynelson@georgeanelson.com> - 1.0.0-1_GAN
- initial version
